Skip to main content

Type Validation Failure

Description

Notification about a VALIDATION_FAILURE failure event.

Response Body

ParentNameOutput
$.data[]
REQUIRED
data[]orgId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]feedbackUrl
REQUIRED
data[]resourceDetails
REQUIRED
data[]type
REQUIRED
resourceDetailsetag
REQUIRED
resourceDetailsresourceId
REQUIRED
resourceDetailsresourceType
REQUIRED
resourceDetailsstate
REQUIRED
resourceDetailsbrandId
CONDITIONAL

Brand ID

brandId (string) is provided when $.locationDetails.brandId is present.

Example Response Bodies

Example One

Un-delegated partner resources fail validation. The following notifications are generated.

Notification ForProcess Initiated by
Partner (un-delegated)Partner (un-delegated)
{
"data": [
{
"orgId": "9467895078742654994",
"id": "9467895078742654924",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654900",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976",
"etag": "5c8db178-ddd4-11ec-8a61-f78830620abb",
"state": "REJECTED",
"brandId": "9467895078742654946"
}
},
{
"orgId": "9467895078742654994",
"id": "9467895078742654914",
"createdDate": "2026-10-09T14:12:46.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654994/feedback?ql=id==9467895078742654918",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654918",
"etag": "75b7339a-ddd4-11ec-8e49-af60e95b5e14",
"state": "REJECTED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/v1/orgs/9467895078742654994/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=2&after=8U54a61d9b495324"
}
}
Example Two

Location resource created by a location owner fails validation. Location owner has delegated the location's associated brand to a partner. The following notification is generated.

Notification ForProcess Initiated by
Location owner/delegated partnerLocation owner
  • Location owner calls the notification API using their own orgId as the URI parameter, along with their access token, to retrieve the notification.
  • Delegated partner calls the notifications API using the organization's orgId as the URI parameter, along with their own access token, to retrieve the same notification.
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654213",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654922",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654287",
"etag": "e6cd42da-7e5b-11ee-b962-0242ac120002",
"state": "PUBLISHED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "1C44a61d9b495276"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=1&after=1C44a61d9b495276"
}
}
Example Three

Similar to scenario two, but in reverse order. A location resource created by a delegated partner fails validation. The following notification is generated.

Notification ForProcess Initiated by
Location owner/delegated partnerDelegated partner
  • Location owner calls the notification API using their own orgId as the URI parameter, along with the their access token, to retrieve the notification.
  • Delegated partner calls the notifications API using the organization's orgId as the URI parameter, along with their own access token, to retrieve the same notification.
{
"data": [
{
"orgId": "9467895078742654934",
"id": "9467895078742654518",
"createdDate": "2026-10-10T17:32:05.00Z",
"type": "VALIDATION_FAILURE",
"feedbackUrl": "/v1/orgs/9467895078742654934/feedback?ql=id==9467895078742654980",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654387",
"etag": "2354400c-7e78-11ee-b962-0242ac120002",
"state": "REJECTED",
"brandId": "9467895078742654946"
}
}
],
"pagination": {
"cursors": {
"after": "4D22a61d9b495037"
},
"next": "/v1/orgs/9467895078742654934/notifications?ql=createdDate=ge=2026-10-01T00:00:00Z;createdDate=le=2026-10-11T00:00:00Z;resourceType==LOCATION&limit=1&after=4D22a61d9b495037"
}
}